Kerbal Space Program - Bug #3894

Crash when prograde/retrograde autopilot enabled, navball in target mode, and target is a celestial
body

12/23/2014 08:23 PM - voltara

Status: Closed Start date: 12/23/2014
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.90 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

What happens: The game crashes when autopilot is in prograde/retrograde hold mode, the navball is in Target mode, and the
current target is a celestial body.

How to reproduce:

o

Load the stock "Mun Orbit" scenario in the "Scenarios" menu.

Set Minmus as your navigation target.

Click your navball velocity until you are in "Target" mode. Notice the velocity is 0.0 m/s.
Press "T" to enable SAS.

Click either the "Prograde” or "Retrograde" autopilot icon. The game crashes.

Notes:
These steps can be performed in any order. The game crashes as soon as all three conditions are met: Target is a celestial body,
Autopilot is in Prograde or Retrograde mode, and the navball is in Target mode.

Versions Affected:
Reproduceable as of 0.90, when the new autopilot modes were introduced.

History

#1 - 12/25/2014 02:19 PM - barnaba
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Not a dev, so I'm not sure whether | can change it to confirmed, but tried the procedure voltara described myself (on linux) and it yields the same
results.

#2 - 11/20/2015 02:10 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Resolved as the pro/antigrade buttons are now disabled for target mode on planets.

#3 - 07/17/2016 09:19 AM - TriggerAu

- Status changed from Resolved to Closed
